### Method

# Pango Colorparse_with_alpha

since: 1.46

#### Declaration [src]

    gboolean
    pango_color_parse_with_alpha (
      PangoColor* color,
      guint16* alpha,
      const char* spec
    )

#### Description [src]

Fill in the fields of a color from a string specification.

The string can either one of a large set of standard names. (Taken from the CSS Color specification, or it can be a hexadecimal value in the form `#rgb`, `#rrggbb`, `#rrrgggbbb` or `#rrrrggggbbbb` where `r`, `g` and `b` are hex digits of the red, green, and blue components of the color, respectively. (White in the four forms is `#fff`, `#ffffff`, `#fffffffff` and `#ffffffffffff`.)

Additionally, parse strings of the form `#rgba`, `#rrggbbaa`, `#rrrrggggbbbbaaaa`, if `alpha` is not `NULL`, and set `alpha` to the value specified by the hex digits for `a`. If no alpha component is found in `spec`, `alpha` is set to 0xffff (for a solid color).

Available since: 1.46

#### Parameters

`alpha`

  Type: `guint16*`

  Return location for alpha.

  The argument will be set by the function.
  The argument can be `NULL`.

`spec`

  Type: `const char*`

  A string specifying the new color.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if parsing of the specifier succeeded, otherwise `FALSE`.